Subject: Re: bug#29272: 26.0.90; "C-h k C-mouse-3" followed by menu selection asks for more keys

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Nov 2017 19:04:45 +0200

> Date: Sun, 19 Nov 2017 16:19:43 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > In any case, this is a much more minor bug than the one I reported, so
> > please install your changes on the release branch.  Bonus points if
> > you can find where does the "translation" come from.
> 
> I claim my prize.  :-)
> 
> The following patch (which absolutely requires the patch to bug #29349
> "read_key_sequence is only partially recursive.  This is a bug." to work)
> fixes the above glitch on Linux tty (and possibly on other platforms).
> It works by disregarding the "intermediate" events in UNTRANSLATED when
> comparing the processed key sequence with the UNTRANSLATED string of
> events:

OK, but I still would like to understand where did that "translation"
come from.  I don't think I get that from the above description.

Thanks.